Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006534opensim[REGION] OpenSim Corepublic2013-02-06 23:122014-07-29 13:42
Reporterorenh 
Assigned ToRobert Adams 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0006534: [PATCH] MSSQL/SQLite support for physics parameters
Description1. A few small fixes, e.g. allow changing Friction via LSL.

2. Added support for the new physics fields in MSSQL and SQLite. I couldn't test this, however.
TagsNo tags attached.
Git Revision or version number98aa4ee8e79adaba2f35a79ee3b1dac75acfbea0
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Filespatch file icon 0001-Several-improvements-to-the-physics-properties.patch [^] (5,245 bytes) 2013-02-07 22:35 [Show Content]
patch file icon 0002-Added-physics-parameters-support-to-MSSQL-and-SQLite.patch [^] (11,993 bytes) 2013-02-07 22:35 [Show Content]

- Relationships

-  Notes
(0023537)
Robert Adams (administrator)
2013-02-07 17:39

You've probably seen the changes going on in this area. Could you separate out the changes for MSSQL and SQLite? Those should be applied standalone. The other changes have pretty much already gone into master.
(0023538)
orenh (administrator)
2013-02-07 22:36

Here's a new patch. There are two patch files: one adds MSSQL and SQLite support, and the other contains a few small fixes.
(0023541)
justincc (administrator)
2013-02-08 15:36

Oren, we need to hold off on the 0001 patch until Melanie has finished porting her changes, which is not on the timescale of weeks and weeks.

The other patch I will probably quickly look over and apply soon, unless someone else beats me to it.
(0023542)
Robert Adams (administrator)
2013-02-08 15:45

Although the 0001 patch is a Good Idea -- scattered numeric constants is not good. They will be cleaned up once the other patches are incorporated.
(0023543)
justincc (administrator)
2013-02-08 17:24

0002 was applied as git master 6935bec. Thanks Oren.
(0024058)
Robert Adams (administrator)
2013-06-10 10:22

Added patch2 to master

- Issue History
Date Modified Username Field Change
2013-02-06 23:12 orenh New Issue
2013-02-06 23:12 orenh File Added: 0001-Client-can-change-a-prim-s-Extra-Physics-parameters.patch
2013-02-06 23:13 orenh File Added: 0002-Added-member-variables-for-the-physics-parameters.-T.patch
2013-02-06 23:13 orenh File Added: 0003-Added-physics-parameters-support-to-MSSQL-and-SQLite.patch
2013-02-06 23:13 orenh Assigned To => orenh
2013-02-06 23:13 orenh Status new => patch included
2013-02-07 17:39 Robert Adams Note Added: 0023537
2013-02-07 22:29 orenh File Deleted: 0001-Client-can-change-a-prim-s-Extra-Physics-parameters.patch
2013-02-07 22:29 orenh File Deleted: 0002-Added-member-variables-for-the-physics-parameters.-T.patch
2013-02-07 22:30 orenh File Deleted: 0003-Added-physics-parameters-support-to-MSSQL-and-SQLite.patch
2013-02-07 22:35 orenh Summary [PATCH] Clients can change a prim's physics parameters; MSSQL/SQLite support; better consistency => [PATCH] MSSQL/SQLite support for physics parameters
2013-02-07 22:35 orenh Description Updated View Revisions
2013-02-07 22:35 orenh File Added: 0001-Several-improvements-to-the-physics-properties.patch
2013-02-07 22:35 orenh File Added: 0002-Added-physics-parameters-support-to-MSSQL-and-SQLite.patch
2013-02-07 22:36 orenh Note Added: 0023538
2013-02-07 22:36 orenh Assigned To orenh => Robert Adams
2013-02-07 22:36 orenh Status patch included => assigned
2013-02-07 22:36 orenh Status assigned => patch included
2013-02-08 15:36 justincc Note Added: 0023541
2013-02-08 15:45 Robert Adams Note Added: 0023542
2013-02-08 17:24 justincc Note Added: 0023543
2013-06-10 10:22 Robert Adams Note Added: 0024058
2013-06-10 10:22 Robert Adams Status patch included => resolved
2013-06-10 10:22 Robert Adams Fixed in Version => master (dev code)
2013-06-10 10:22 Robert Adams Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker